shishi_cfg_userdirectory_file(3)

NAME
shishi_cfg_userdirectory_file - API function

SYNOPSIS
#include <shishi.h>

char * shishi_cfg_userdirectory_file(Shishi * handle, const char * file);

ARGUMENTS

Shishi * handle
    Shishi library handle created by shishi_init().

const char * file
    Basename of file to use for the user's configuration settings of the library.

DESCRIPTION
Reports the full path to the file where the Shishi library expects to find the user's library configuration, given that the file itself is named by the parameter file.

The answer is composed from the value of file and the directory returned by shishi_cfg_default_userdirectory(). Typically, the returned string would be expanded from "$HOME/.shishi/file".

RETURN VALUE
Returns the absolute filename to the argument file, relative to the user specific Shishi configuration directory.

REPORTING BUGS
Report bugs to <bug-shishi@gnu.org>. GNU Shishi home page: http://www.gnu.org/software/shishi/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2002-2022 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for shishi is maintained as a Texinfo manual. If the info and shishi programs are properly installed at your site, the command

    info shishi

should give you access to the complete manual.